using System.ComponentModel;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///   机械臂码垛工位DB531
    /// </summary>
    [Description("机械臂码垛工位DB531")]
    public interface IRobot531 : IProtocol
    {
        #region 任务集

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo1 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo2 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo3 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo4 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo5 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo6 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo7 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo8 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo9 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo10 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo11 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo12 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo13 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo14 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo15 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo16 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo17 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo18 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo19 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo20 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo21 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo22 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo23 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo24 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo25 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo26 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo27 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo28 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo29 { get; set; }

        /// <summary>
        ///  任务
        /// </summary>
        [Description("任务")]
        public int TaskNo30 { get; set; }

        #endregion 任务集

        /// <summary>
        ///  垛形
        /// </summary>
        [Description("垛形")]
        public short Type { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大码垛数量")]
        public short MaxQuantity { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大码垛数量")]
        public short Quantity { get; set; }

        /// <summary>
        ///  码垛结束
        /// </summary>
        [Description("码垛结束")]
        public RobotCmdType CmdType { get; set; }

        /// <summary>
        ///  凭证号，触发信号
        /// </summary>
        [Description("凭证号，触发信号")]
        public short VoucherNo { get; set; }
    }
}
